Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DRWork/FrmDRWorkAuxiliary.cs	(revision 51)
@@ -372,5 +366,493 @@
             }
         }
         #endregion
+
+        #region 対象年度のセット
+        /// <summary>
+        /// 対象年度のセット
+        /// </summary>
+        private void SetActionMonthly()
+        {
+            IOCostDataOfPerson CostDB = new IOCostDataOfPerson();
+            try
+            {
+                // 存在月を出勤データより取得する
+                string strSQL = "SELECT DATE_FORMAT(ATTENDANCEDATE,'%Y/%m'), COUNT(*) FROM ATTENDANCEDATA GROUP BY DATE_FORMAT(ATTENDANCEDATE,'%Y/%m') ORDER BY 1";
+                ArrayList arList = new ArrayList();
+                CostDB.ExecuteReader(strSQL, ref arList);
+
+                List<KeyValuePair<string, string>> DataList = new List<KeyValuePair<string, string>>();
+                foreach (object[] wrkobj in arList)
+                {
+                    KeyValuePair<string, string> keyval = new KeyValuePair<string, string>(wrkobj[0].ToString(), (wrkobj[0].ToString().Replace("/", "年") + "月"));
+                    DataList.Add(keyval);
+                }
+
+                // 当月を作成する
+                string ToMonth = string.Format("{0}/{1}", DateTime.Now.Year, DateTime.Now.Month.ToString("00"));
+                // 当月を追加するかの判断
+                if (arList.Count == 0 || !DataList[DataList.Count - 1].Key.Equals(ToMonth))
+                {
+                    KeyValuePair<string, string> keyval = new KeyValuePair<string, string>(ToMonth, (ToMonth.ToString().Replace("/", "年") + "月"));
+                    DataList.Add(keyval);
+                }
+                // 来月の追加判定(25日過ぎは来月の追加をする)
+                if (DateTime.Now.Day > 25)
+                {
+                    DateTime dtNext = DateTime.Now.AddMonths(1);
+                    string NextMonth = string.Format("{0}/{1}", dtNext.Year, dtNext.Month.ToString("00"));
+                    KeyValuePair<string, string> keyval = new KeyValuePair<string, string>(NextMonth, (NextMonth.ToString().Replace("/", "年") + "月"));
+                    DataList.Add(keyval);
+                }
+
+                ComboBoxAction.InitDataSetCombBox(comboBox1, DataList);
+                comboBox1.SelectedValue = ToMonth;
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                CostDB.close(); CostDB = null;
+            }
+        }
+        #endregion
+
+        #region コンボボックス初期表示
+        /// <summary>
+        /// コンボボックス初期表示
+        /// </summary>
+        private void InitCombBox()
+        {
+            try
+            {
+                int AllPath = (int)CommonDefine.SecurityRangePos.AllPath;           // 全部署
+                int Multiple = (int)CommonDefine.SecurityRangePos.Multiple;         // 複数部署
+                int Only = (int)CommonDefine.SecurityRangePos.Only;                 // 自部署のみ
+                int None = (int)CommonDefine.SecurityRangePos.None;                 // 自担当者のみ
+
+                if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode
+                    || CommonMotions.LoginUserSecurity.SecRange == CommonDefine.SecurityRangeList[AllPath].Key)
+                {
+                    // 部署・担当者コンボ表示
+                    DispAllCombBoxControl(true);
+                }
+                else
+                {
+                    if (CommonMotions.LoginUserSecurity.SecRange == (int)CommonDefine.SecurityRangeList[Multiple].Key)
+                    {
+                        // 部署・担当者コンボ表示
+                        DispAllCombBoxControl(true);
+                    }
+                    else if (CommonMotions.LoginUserSecurity.SecRange == (int)CommonDefine.SecurityRangeList[Only].Key)
+                    {
+                        // 部署コンボ非表示
+                        NonDispDepCombBox();
+                    }
+                    else if (CommonMotions.LoginUserSecurity.SecRange == (int)CommonDefine.SecurityRangeList[None].Key)
+                    {
+                        // 部署・担当者コンボ表示
+                        DispAllCombBoxControl(false);
+                    }
+                }
+
+                // 初期設定対象がコンボボックスデータにあればセットする
+                for (int i = 0; i < cmbDepartment.Items.Count; i++)
+                {
+                    KeyValuePair<int, string> wrkPair = (KeyValuePair<int, string>)cmbDepartment.Items[i];
+                    if (wrkPair.Key == CommonMotions.LoginUserData.DepartmentCode)
+                    {
+                        cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
+                        break;
+                    }
+                }
+
+                for (int i = 0; i < cmbConstructionPerson.Items.Count; i++)
+                {
+                    KeyValuePair<int, string> wrkPair = (KeyValuePair<int, string>)cmbConstructionPerson.Items[i];
+                    if (wrkPair.Key == CommonMotions.LoginUserData.PersonCode)
+                    {
+                        cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
+                        break;
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 担当者コンボより担当者コードを取得する
+        /// <summary>
+        /// 担当者コンボより担当者コードを取得する
+        /// </summary>
+        /// <returns></returns>
+        private int GetConstructionPersonCode()
+        {
+            try
+            {
+                // 表示されていない場合はログインユーザーを返す
+                if (!cmbConstructionPerson.Visible)
+                {
+                    return CommonMotions.LoginUserData.PersonCode;
+                }
+
+                return CommonMotions.cnvInt(cmbConstructionPerson.SelectedValue);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return 0;
+            }
+        }
+        #endregion
+
+        #region 対象月をコンボボックスより取得する
+        /// <summary>
+        /// 対象月をコンボボックスより取得する
+        /// </summary>
+        /// <returns></returns>
+        private string GetTargetMonth()
+        {
+            try
+            {
+                return CommonMotions.cnvString(comboBox1.SelectedValue);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}", ex.Message);
+                return string.Empty;
+            }
+        }
+        #endregion
+
+        #region 部署コンボボックスの非表示処理
+        /// <summary>
+        /// 部署コンボボックスの非表示処理
+        /// </summary>
+        private void NonDispDepCombBox()
+        {
+            try
+            {
+                // 部署コンボ非表示
+                label2.Visible = false;
+                cmbDepartment.Visible = false;
+
+                // 表示位置のセット
+                Point loc3 = label3.Location;
+                loc3.X = label2.Location.X + 10;
+                label3.Location = loc3;
+
+                Point loc4 = cmbConstructionPerson.Location;
+                loc4.X = label3.Location.X + label3.Width + 10;
+                cmbConstructionPerson.Location = loc4;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 全コンボボックス表示をON/OFFする
+        /// <summary>
+        /// 全コンボボックス表示をON/OFFする
+        /// </summary>
+        private void DispAllCombBoxControl(bool bDsp)
+        {
+            try
+            {
+                // 部署・担当者コンボ非表示
+                label2.Visible = bDsp;
+                cmbDepartment.Visible = bDsp;
+                label3.Visible = bDsp;
+                cmbConstructionPerson.Visible = bDsp;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 部署コンボボックスをセットする
+        /// <summary>
+        /// 部署コンボボックスへ文字をセットする
+        /// </summary>
+        private bool SetcmbDepartment()
+        {
+            IOMDepartment depDB = new IOMDepartment();
+            bool bSave = m_bInitFlg;
+            m_bInitFlg = true;
+            try
+            {
+
+                cmbDepartment.DataSource = null;
+                cmbDepartment.Items.Clear();
+                cmbDepartment.Text = "";
+
+                string strSQL = string.Empty;
+                // 部署マスタを検索する
+                strSQL = "SELECT A.DEPARTMENTCODE, A.DEPARTMENTSTRING, A.DISPLAYORDER, COUNT(*)";
+                strSQL += " FROM DEPARTMENTMASTER A, PERSONINCHARGEMASTER B, CONSTRUCTIONBASEINFO C";
+                strSQL += " WHERE A.DELETEFLG = 0";
+
+                // 新セキュリティデータ対応済みかを確認する
+                //if (CommonMotions.LoginUserData.SecCode == 0)
+                //{
+                //    // システム権限によってデータアクセスに制限がある
+                //    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key
+                //        || CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
+                //    {
+                //        // 所属長
+                //        // 一般使用者（自分のみアクセス可能）
+                //        strSQL += string.Format(" AND A.DEPARTMENTCODE = {0}", CommonMotions.LoginUserData.DepartmentCode);
+                //    }
+                //}
+                //else
+                //{
+                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
+                    {
+
+                    }
+                    else
+                    {
+                        // 参照部署マスタより取得する
+                        strSQL += " AND A.DEPARTMENTCODE IN (SELECT A1.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER A1";
+                        strSQL += string.Format(" WHERE A1.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
+                    }
+                //}
+                strSQL += " AND A.DEPARTMENTCODE = B.DEPARTMENTCODE";
+                strSQL += " AND B.PERSONCODE = C.CONSTRUCTIONPERSONCODE";
+                strSQL += " GROUP BY A.DEPARTMENTCODE, A.DEPARTMENTSTRING, A.DISPLAYORDER";
+                strSQL += " ORDER BY A.DISPLAYORDER ASC";
+
+                // 部署マスタ読込
+                ArrayList arList = new ArrayList();
+                if (!depDB.ExecuteReader(strSQL, ref arList)) return false;
+
+                List<KeyValuePair<int, string>> ConstructionDataList = new List<KeyValuePair<int, string>>();
+                ConstructionDataList.Add(new KeyValuePair<int, string>(0, ""));
+
+                foreach (object[] work in arList)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(CommonMotions.cnvInt(work[0])
+                                                                                    , CommonMotions.cnvString(work[1]));
+
+                    ConstructionDataList.Add(keyval);
+                }
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbDepartment, ConstructionDataList);
+
+                //// 新セキュリティデータ対応済みかを確認する
+                //if (CommonMotions.LoginUserData.SecCode == 0)
+                //{
+                //    // 所属長
+                //    // 一般使用者（自分のみアクセス可能）
+                //    if (CommonMotions.LoginUserData.SecurityManagement != CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
+                //    {
+                //        cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
+                //    }
+                //}
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                depDB.close(); depDB = null;
+                m_bInitFlg = bSave;
+            }
+        }
+        #endregion
+
+        #region 部署コンボボックスに対象があるかをチェックする
+        /// <summary>
+        /// 部署コンボボックスに対象があるかをチェックする
+        /// </summary>
+        /// <param name="Department"></param>
+        /// <returns></returns>
+        private bool SearchDepartmentCombBoxItem(int Department)
+        {
+            try
+            {
+                bool bRet = false;
+
+                // 対象がコンボボックスデータにあればセットする
+                for (int i = 0; i < cmbDepartment.Items.Count; i++)
+                {
+                    KeyValuePair<int, string> wrkPair = (KeyValuePair<int, string>)cmbDepartment.Items[i];
+                    if (wrkPair.Key == Department)
+                    {
+                        bRet = true;
+                        break;
+                    }
+                }
+
+                return bRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 担当者コンボボックスデータセット
+        /// <summary>
+        /// 担当者コンボボックスへ文字をセットする
+        /// </summary>
+        private void SetcombBoxPerson()
+        {
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            try
+            {
+                // 担当者マスタを検索する
+                //string strSQL = string.Format(" WHERE EMPLOYEECLASSFLG = {0} AND DELETEFLG = 0", (int)CommonDefine.EmployeeClassFlg.Regular);
+                string strSQL = " WHERE DELETEFLG = 0";
+
+                // 所　属　長
+                int Superior = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key;
+                // 一般ユーザー
+                int User = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;
+                if (CommonMotions.LoginUserData.SecurityManagement == Superior)
+                {
+                    // 所属長（所属内のみ）
+                    strSQL += string.Format(" AND DEPARTMENTCODE = {0}", CommonMotions.LoginUserData.DepartmentCode);
+                }
+                else if (CommonMotions.LoginUserData.SecurityManagement == User)
+                {
+                    // 一般ユーザーは担当者を選択できない
+                    return;
+                }
+                else
+                {
+                    if (CommonMotions.cnvInt(cmbDepartment.SelectedValue) != 0)
+                        strSQL += string.Format(" AND DEPARTMENTCODE = {0}", CommonMotions.cnvInt(cmbDepartment.SelectedValue));
+                }
+
+                // 担当者マスタ読込
+                strSQL += " ORDER BY EMPLOYEECLASSFLG ASC, DISPLAYORDER ASC";
+                List<PersonInChargeMaster> workList = new List<PersonInChargeMaster>(); ;
+                if (!picDB.SelectAction(strSQL, ref workList)) return;
+
+                List<KeyValuePair<int, string>> DataList = new List<KeyValuePair<int, string>>();
+                // データ表示
+                foreach (PersonInChargeMaster wrk in workList)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(wrk.PersonCode, wrk.PersonName);
+                    DataList.Add(keyval);
+                }
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbConstructionPerson, DataList);
+
+                //// 新セキュリティデータ対応済みかを確認する
+                //if (CommonMotions.LoginUserData.SecCode == 0)
+                //{
+                //    // 一般ユーザーで総務部所属者ではない場合、ログイン者のコードをセットする
+                //    if (CommonMotions.LoginUserData.SecurityManagement != CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key &&
+                //        CommonMotions.LoginUserData.DepartmentCode != CommonDefine.s_GeneralAffairsDevision)
+                //    {
+                //        cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
+                //    }
+                //}
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                picDB.close(); picDB = null;
+            }
+        }
+        #endregion
+
+        #region 担当者コンボボックスに対象があるかをチェックする
+        /// <summary>
+        /// 担当者コンボボックスに対象があるかをチェックする
+        /// </summary>
+        /// <param name="PersonCode"></param>
+        /// <returns></returns>
+        private bool SearchPersonCombBoxItem(int PersonCode)
+        {
+            try
+            {
+                bool bRet = false;
+                for (int i = 0; i < cmbConstructionPerson.Items.Count; i++)
+                {
+                    KeyValuePair<int, string> wrkPair = (KeyValuePair<int, string>)cmbConstructionPerson.Items[i];
+                    if (wrkPair.Key == PersonCode)
+                    {
+                        bRet = true;
+                        break;
+                    }
+                }
+
+                return bRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 担当者コンボボックスセット時部署をセットする
+        /// <summary>
+        /// 担当者コンボボックスセット時部署をセットする
+        /// </summary>
+        /// <returns></returns>
+        private bool SetPerosonToDepartment()
+        {
+            IOMPersonInCharge PersonDB = new IOMPersonInCharge();
+            try
+            {
+                // コンボボックスより選択担当者を取得する
+                int PersonCode = GetConstructionPersonCode();
+                if (PersonCode < 1) return false;
+
+                int DepartmentCode = CommonMotions.cnvInt(cmbDepartment.SelectedValue);
+
+                string strSQL = PersonDB.CreatePrimarykeyString(PersonCode);
+                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
+                PersonDB.SelectAction(strSQL, ref PersonRec);
+
+                // 部署コンボボックスへ部署コードセット
+                if (PersonRec.DepartmentCode > 0 && DepartmentCode != PersonRec.DepartmentCode)
+                {
+                    bool bSave = m_bInitFlg;
+                    m_bInitFlg = true;
+                    cmbDepartment.SelectedValue = PersonRec.DepartmentCode;
+                    SetcombBoxPerson();    // 担当者コンボボックス変更
+                    cmbConstructionPerson.SelectedValue = PersonCode;
+                    m_bInitFlg = bSave;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                PersonDB.close(); PersonDB = null;
+            }
+        }
+        #endregion
+
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DailyReport/FrmDailyReport.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DailyReport/FrmDailyReport.designer.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DailyReport/FrmDailyReport.designer.cs	(revision 51)
@@ -595,7 +595,7 @@
             this.btnOtherProc.BackColor = System.Drawing.Color.SpringGreen;
             this.btnOtherProc.Location = new System.Drawing.Point(8, 656);
             this.btnOtherProc.Name = "btnOtherProc";
-            this.btnOtherProc.Size = new System.Drawing.Size(200, 30);
+            this.btnOtherProc.Size = new System.Drawing.Size(160, 30);
             this.btnOtherProc.TabIndex = 96;
             this.btnOtherProc.TabStop = false;
             this.btnOtherProc.Text = "他の画面へ";
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DailyReport/FrmDailyReportAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DailyReport/FrmDailyReportAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/DailyReport/FrmDailyReportAuxiliary.cs	(revision 51)
@@ -871,12 +871,13 @@
                 strSQL += ", A.TODAYWORK";
                 strSQL += ", A.NEXTDAYWORK";
                 strSQL += ", A.NEXTDAYHEADCOUNT";
-                strSQL += " FROM DAILYDATADETAIL A";
-                strSQL += " RIGHT OUTER JOIN SUBCONTRACTORJOBCATEGORY B";
-                strSQL += " ON A.JOBCATEGORYCODE = B.JOBCATEGORYCODE";
-                strSQL += " RIGHT OUTER JOIN SUBCONTRACTORMASTER C";
-                strSQL += " ON A.COMPANYCODE = C.COMPANYCODE";
+                //strSQL += " FROM DAILYDATADETAIL A, SUBCONTRACTORJOBCATEGORY B, SUBCONTRACTORMASTER C";
+                strSQL += " FROM DAILYDATADETAIL As";
                 strSQL += DetailDB.CreatePrimarykeyString(m_PersonCode, GetTargetToday(), m_ConstructionCode, 0);
+                //strSQL += " AND A.JOBCATEGORYCODE = B.JOBCATEGORYCODE(+)";
+                //strSQL += " AND A.COMPANYCODE = C.COMPANYCODE(+)";
+                strSQL += " LEFT JOIN SUBCONTRACTORJOBCATEGORY B ON (A.JOBCATEGORYCODE = B.JOBCATEGORYCODE)";
+                strSQL += " LEFT JOIN SUBCONTRACTORMASTER C ON (A.COMPANYCODE = C.COMPANYCODE)";
                 strSQL += " ORDER BY A.SEQNO";
                 ArrayList arList = new ArrayList();
                 if (!DetailDB.ExecuteReader(strSQL, ref arList) || arList.Count == 0)
@@ -2932,6 +2933,7 @@
                 strSQL += string.Format(" AND ConstructionCode = {0}", m_ConstructionCode);
                 if (JobCode != 0) strSQL += string.Format(" AND JobCategoryCode = {0}", JobCode);
                 if (CompanyCode != 0) strSQL += string.Format(" AND CompanyCode = {0}", CompanyCode);
+                //strSQL += string.Format(" AND TO_CHAR(DailyDataDate, 'YYYY/MM/DD') < '{0}'", GetTargetToday().ToShortDateString());
                 strSQL += string.Format(" AND DATE_FORMAT(DailyDataDate, '%Y/%m/%d') < '{0}'", GetTargetToday().ToShortDateString());
 
                 ArrayList arList = new ArrayList();
